Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface CmExpressionSearchControl

All Superinterfaces
  ExpressionSearchControl<com.bea.content.Node>, RepoSearchControl<com.bea.content.Node>, SearchControl<com.bea.content.Node>

    public interface CmExpressionSearchControl

extends ExpressionSearchControl<com.bea.content.Node>

This control is used to generate and execute portal Expression-based searches. It will search content in all the BEA Repositories specified, with the exception of the GroupSpace repository. Use the ExpressionBuilder to construct expressions.

Instantiate the control in a page flow as follows:

// Expression search control across all BEA repositories except the GroupSpace repository, not typed, not annotated
`@Control`
CmExpressionSearchControlBean <Node> cmExpressionSearch;

// Search for a particular object class, "BOOK"
`@Control ()`
`@CmExpressionSearchControl.SearchParams(objectClassName = "BOOK")`
CmExpressionSearchControlBean <Node> bookSearchBean;

// Expression search control across the named repository, typed and annotated
`@Control()`
`@CmExpressionSearchControl.SearchParams(maxResults=50, loadAllIntoMemory=true, pageSize=25, repositoryName="MyRepository")`
CmExpressionSearchControlBean <Node> cmAnnSearch;

Nested Class Summary
`static interface` | `CmExpressionSearchControl.SearchParams` Set the defaults for search parameters

Method Summary

Methods inherited from interface com.bea.apps.groupspace.search.controls.ExpressionSearchControl
`getExpressionBuilder, search, search, search, searchAsSet, searchAsSet, searchContains, searchContainsAll, searchContainsAny, searchCount, searchDate, searchEquals, searchForOne, searchLike, searchNot, setExcludeObjectClassNames`

Methods inherited from interface com.bea.apps.groupspace.search.controls.RepoSearchControl
`getAvailableObjectClasses, getObjectClassProperties, getObjectClassPropertyDefinitions, setSearchPath, setSearchPaths`

Methods inherited from interface com.bea.apps.groupspace.search.controls.SearchControl
`asList, asSet, flushSearchCache, getSortCriteria, setSortCriteria`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved